<?php if (!defined('PmWiki')) exit(); 


## Show the Group specific GroupBar if available:
$sbr = FmtPageName('$Group.GroupBar',$pagename);
  if (!PageExists($sbr)) {
    SetTmplDisplay( 'PageGroupRightFmt', 0);
    SetTmplDisplay( 'PageRightFmt',      1);
  }else{
    SetTmplDisplay( 'PageRightFmt',      0);
    SetTmplDisplay( 'PageGroupRightFmt', 1);
  }

## By default the MotoBar is hidden, unless (:moto:) markup is used in the page to show it:
SetTmplDisplay('PageMotoBarFmt',         0);

## Clean up our line-feeds
Markup(	'[[<<]]',
		'inline',
		'/\\[\\[&lt;&lt;\\]\\]/',
		"<br style='clear:both;' />"); 

## Hide Various Page elements such as RightGroup, Search, Sidebar, SiteLogo etc. 
## This will work for any page using these Markup terms (some terms have duplicate functions:)
## I don't know why but I have had trouble getting some of the default directives to work, so here's what does work: 
  Markup('steamport',
		     'directives',
  	     '/\\(:(nosidebar|noleftbar|norightbar|nosearch|nosearchbar|nositelogo|notitlebar|nonavbar|noaction|nocommandbar|nocmds|notitle|nolastmod|noheader|nofooter|nologo|nositebar|noheadnavbar|nofootnavbar|noheadcmds|nofootcmds|nosplashtitle|nosplashbar|moto|nogroupbar|nogroupfoot):\\)/i',
  	     'SteamportDirectives');

## Define how to implement the above Markup Directives:
  function SteamportDirectives($m) {
    switch($m[1]) {

      case 'moto':          SetTmplDisplay('PageMotoBarFmt',      1); return;  

      case 'nosidebar':     SetTmplDisplay('PageLogoFmt',         0); 
                            SetTmplDisplay('PageSideBarFmt',      0);
                            SetTmplDisplay('PageLeftEndFmt',      0);
                            SetTmplDisplay('PageSiteBarFmt',      0); return;
      case 'noleftbar':     SetTmplDisplay('PageLogoFmt',         0); 
                            SetTmplDisplay('PageSideBarFmt',      0);
                            SetTmplDisplay('PageLeftEndFmt',      0);      
                            SetTmplDisplay('PageSiteBarFmt',      0); return;                             
      case 'nologo':        SetTmplDisplay('PageLogoFmt',         0); return;
      case 'nositebar':     SetTmplDisplay('PageSiteBarFmt',      0); return;

      case 'norightbar':    SetTmplDisplay('PageSplashTitleFmt',  0);
                            SetTmplDisplay('PageSplashBarFmt',    0);
                            SetTmplDisplay('PageGroupBarFmt',     0); 
                            SetTmplDisplay('PageRightTopFmt',     0);
                            SetTmplDisplay('PageRightBottomFmt',  0); 
                            SetTmplDisplay('PageGroupFootFmt',    0); return;

      case 'nosplashtitle': SetTmplDisplay('PageSplashTitleFmt',  0); return;
      case 'nosplashbar':   SetTmplDisplay('PageSplashBarFmt',    0); return;
      case 'nogroupbar':    SetTmplDisplay('PageGroupBarFmt',     0); return;
      case 'nogroupfoot':   SetTmplDisplay('PageGroupFootFmt',    0); return;
                              
      case 'notitle':       SetTmplDisplay('PageTitleFmt',        0); return;
      case 'notitlebar':    SetTmplDisplay('PageTitleFmt',        0); return;      

      case 'nonavbar'  :    SetTmplDisplay('PageHeadNavBarFmt',   0);
                            SetTmplDisplay('PageFootNavBarFmt',   0); return;
      case 'noheadnavbar':  SetTmplDisplay('PageHeadNavBarFmt',   0); return;
      case 'nofootnavbar':  SetTmplDisplay('PageFootNavBarFmt',   0); return;

      case 'noaction':      SetTmplDisplay('PageHeadActionsFmt', 0); 
                            SetTmplDisplay('PageFootActionsFmt',  0); return;   
      case 'nocommandbar':  SetTmplDisplay('PageHeadActionsFmt',  0); 
                            SetTmplDisplay('PageFootActionsFmt',  0); return;                                                     
      case 'nocmds':        SetTmplDisplay('PageHeadActionsFmt',  0); 
                            SetTmplDisplay('PageFootActionsFmt',  0); return;  
      case 'noheadcmds':    SetTmplDisplay('PageHeadActionsFmt',  0); return;
      case 'nofootcmds':    SetTmplDisplay('PageFootActionsFmt',  0); return; 

      case 'nosearch':      SetTmplDisplay('PageHeadSearchFmt',   0); 
                            SetTmplDisplay('PageFootSearchFmt',   0); return;
      case 'nosearchbar':   SetTmplDisplay('PageHeadSearchFmt',   0); 
                            SetTmplDisplay('PageFootSearchFmt',   0); return;  

      case 'nolastmod':     SetTmplDisplay('PageFootModFmt',      0); return;   

      case 'nositelogo':    SetTmplDisplay('PageLogoFmt',         0); return; 

      case 'noheader':      SetTmplDisplay('PageTitleFmt',        0); 
                            SetTmplDisplay('PageHeadSearchFmt',   0);
                            SetTmplDisplay('PageHeadNavBarFmt',   0);
                            SetTmplDisplay('PageHeadActionsFmt',  0); return;  

      case 'nofooter':      SetTmplDisplay('PageFootSearchFmt',   0); 
                            SetTmplDisplay('PageFootActionsFmt',  0);
                            SetTmplDisplay('PageFootNavBarFmt',   0);
                            SetTmplDisplay('PageFootModFmt',      0); return;                                                      
    }
  }	



